#!/usr/bin/env python3

import shapefile
import matplotlib.pyplot as plt
import numpy as np

cont_list = shapefile.Reader("cont_list")
ssh_lev = []
for rec in cont_list.iterRecords(): ssh_lev.append(rec.ssh)
ssh_lev = np.array(ssh_lev)
left = 0.95 * ssh_lev.min()
right = 1.05 * ssh_lev.max()
fig, ax = plt.subplots()

for i in range(len(ssh_lev)):
    ax.cla()
    ax.set_xlim(left, right)
    ax.set_title(f"{i=}")
    ax.eventplot(ssh_lev[:i + 1])
    plt.pause(1)

print("delta ssh:", np.ediff1d(np.sort(ssh_lev)))
plt.show()
